# Offer Events

**Adding multiple-event tracking, meeting the client demands to analyze and promote offer in multiple aspects.**

**Note: event\_id=1 information is related to offer information. And it won’t be able to reset is\_private and is\_end.**

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                        | Description               |
| ---------- | ----------- | ----------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------- |
| **Create** |             |                                                                                                                                                 |                           |
|            | POST        | [/v1/offers/{offer\_id}/offer\_events](/api-documentation/networkapi/offers/sub-resources/offer-events/add_offer_event_of_offer.md)             | Add offer event of offer  |
| **Update** |             |                                                                                                                                                 |                           |
|            | PUT         | [/v1/offers/{offer\_id}/offer\_events/{event\_id}](/api-documentation/networkapi/offers/sub-resources/offer-events/update_the_offer_event.md)   | Update the offer event    |
| **Edit**   |             |                                                                                                                                                 |                           |
|            | PATCH       | [/v1/offers/{offer\_id}/offer\_events/{event\_id}](/api-documentation/networkapi/offers/sub-resources/offer-events/update_the_events_status.md) | Update the event’s status |
| **Get**    |             |                                                                                                                                                 |                           |
|            | GET         | [/v1/offers/{offer\_id}/offer\_events/{event\_id}](/api-documentation/networkapi/offers/sub-resources/offer-events/get_an_offer_event.md)       | Get an offer event        |
|            | GET         | [/v1/offers/{offer\_id}/offer\_events](/api-documentation/networkapi/offers/sub-resources/offer-events/get_the_offer_event.md)                  | Get the offer event       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/offer-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
